package com.gymangy;

import android.app.ListActivity;
import android.content.Intent;
import android.os.Bundle;
import android.view.View;
import android.widget.AdapterView;
import android.widget.ArrayAdapter;
import android.widget.ListView;
import android.widget.TextView;
import android.widget.Toast;
import android.widget.AdapterView.OnItemClickListener;

public class GYMangyActivity extends ListActivity
{
	@Override
	public void onCreate(Bundle savedInstanceState)
	{
		super.onCreate(savedInstanceState);

		String[] items = getResources().getStringArray(R.array.items_array);
		setListAdapter(new ArrayAdapter<String>(this, R.layout.list_item, items));

		ListView lv = getListView();
		lv.setTextFilterEnabled(true);

		lv.setOnItemClickListener(new OnItemClickListener()
		{
			public void onItemClick(AdapterView<?> parent, View view,
					int position, long id)
			{
				// When clicked, show a toast with the TextView text
				if (position == 0)
				{
					startActivity(new Intent(GYMangyActivity.this,
							Program.class));
					Toast.makeText(getApplicationContext(),
							((TextView) view).getText(), Toast.LENGTH_SHORT)
							.show();
				}

				if (position == 1)
				{

					startActivity(new Intent(GYMangyActivity.this,
							ShowResults.class));
					Toast.makeText(getApplicationContext(),
							((TextView) view).getText(), Toast.LENGTH_SHORT)
							.show();
				}

				if (position == 2)
				{

					startActivity(new Intent(GYMangyActivity.this,
							Analizer.class));
					Toast.makeText(getApplicationContext(),
							((TextView) view).getText(), Toast.LENGTH_SHORT)
							.show();
				}

				if (position == 3)
				{
					startActivity(new Intent(GYMangyActivity.this, Meal.class));
					Toast.makeText(getApplicationContext(),
							((TextView) view).getText(), Toast.LENGTH_SHORT)
							.show();

				}

				if (position == 4)
				{

					startActivity(new Intent(GYMangyActivity.this, Media.class));
					Toast.makeText(getApplicationContext(),
							((TextView) view).getText(), Toast.LENGTH_SHORT)
							.show();
				}

				if (position == 5)
				{

					startActivity(new Intent(GYMangyActivity.this, Help.class));
					Toast.makeText(getApplicationContext(),
							((TextView) view).getText(), Toast.LENGTH_SHORT)
							.show();
				}

				if (position == 6)
				{

					startActivity(new Intent(GYMangyActivity.this,
							GoogleMaps.class));
					Toast.makeText(getApplicationContext(),
							((TextView) view).getText(), Toast.LENGTH_SHORT)
							.show();
				}

			}
		});
	}

}