package com.gymangy;

import android.app.Activity;
import android.content.Intent;
import android.net.Uri;
import android.os.Bundle;
import android.view.Menu;
import android.view.MenuItem;

public class Media extends Activity
{
	public static final int	OPTIONS_ID	= 0001;
	public static final int	EXIT_ID		= 0002;

	@Override
	public boolean onCreateOptionsMenu(Menu menu)
	{
		boolean result = super.onCreateOptionsMenu(menu);
		menu.add(0, OPTIONS_ID, 0, R.string.menu_insert_options);
		menu.add(0, EXIT_ID, 1, R.string.menu_insert_cancel);
		return result;
	}

	public boolean onOptionsItemSelected(MenuItem item)
	{
		switch (item.getItemId())
		{
			case OPTIONS_ID:
				// startActivity(new Intent(Program.this, NewProgram.class));

				return true;
			case EXIT_ID:
				this.finish();
		}

		return super.onOptionsItemSelected(item);
	}

	public void onCreate(Bundle savedInstanceState)
	{
		super.onCreate(savedInstanceState);

		Intent i = new Intent(Intent.ACTION_VIEW);
		Uri u = Uri
				.parse("http://m.youtube.com/#/my_account?client=mv-google");
		i.setData(u);
		startActivity(i);

		// startActivity(new Intent(Media.this, Analizer.class));
	}
}
