package com.gymangy;

import java.util.ArrayList;

import com.database.SetDbAdapter;

import android.app.ListActivity;
import android.database.Cursor;
import android.os.Bundle;
import android.widget.SimpleCursorAdapter;

public class ShowExersiceForDate extends ListActivity
{
	SetDbAdapter mDb;
	protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.date_exersice);
        mDb = new SetDbAdapter(this);
        mDb.open();
        fillData();
        registerForContextMenu(getListView());
 }
 
 private void fillData() {
		//getting parameter from previous Activity
	    Bundle bundle  = this.getIntent().getExtras();
	    final String param = bundle.getString("parent");   
	 
	    Cursor notesCursor = mDb.getExersiceForDate(param);
        startManagingCursor(notesCursor);
        
        // Create an array to specify the fields we want to display in the list (only TITLE)
        String[] from = new String[]{SetDbAdapter.REC_ID, SetDbAdapter.EX_NAME, SetDbAdapter.SET_NUM, SetDbAdapter.REPS, SetDbAdapter.WEIGHT};
        //
        
        // and an array of the fields we want to bind those fields to (in this case just text1)
        int[] to = new int[]{R.id.TextView03, R.id.TextView04, R.id.TextView05, R.id.TextView06, R.id.TextView07};
        //R.id.name, R.id.set, R.id.rep, R.id.weight
//        <TextView android:textSize="24sp" android:layout_width="wrap_content" android:layout_height="wrap_content" android:paddingBottom="14dp" android:paddingTop="14dp" android:gravity="center" android:layout_gravity="center" android:id="@+id/name"></TextView>
//        <TextView android:textSize="24sp" android:layout_width="wrap_content" android:layout_height="wrap_content" android:paddingBottom="14dp" android:paddingTop="14dp" android:gravity="center" android:layout_gravity="center" android:id="@+id/set"></TextView>
//        <TextView android:textSize="24sp" android:layout_width="wrap_content" android:layout_height="wrap_content" android:paddingBottom="14dp" android:paddingTop="14dp" android:gravity="center" android:layout_gravity="center" android:id="@+id/rep"></TextView>
//        <TextView android:textSize="24sp" android:layout_width="wrap_content" android:layout_height="wrap_content" android:paddingBottom="14dp" android:paddingTop="14dp" android:gravity="center" android:layout_gravity="center" android:id="@+id/weight"></TextView>
        
        // Now create a simple cursor adapter and set it to display
        SimpleCursorAdapter notes = 
        	    new SimpleCursorAdapter(this, R.layout.date_exersice, notesCursor, from, to);
        setListAdapter(notes);	        
    }	
}
