package com.gymangy;

import android.app.Activity;
import android.os.Bundle;

public class AnalizerItem extends Activity
{
	@Override
	public void onCreate(Bundle savedInstanceState)
	{
		super.onCreate(savedInstanceState);
		float[] values = new float[] { 82.5f, 85f, 85f, 85f, 90f };
		float min = getMinimum(values);
		float max = getMaximum(values);
		float avg = (min + max) / 2;

		String[] verlabels = new String[] { String.valueOf(min),
				String.valueOf(avg), String.valueOf(max) };
		String[] horlabels = new String[] { "28.02", "07.03", "11.03", "18.03" };
		GraphView graphView = new GraphView(this, values, "GraphViewDemo",
				horlabels, verlabels, GraphView.BAR);
		setContentView(graphView);
	}

	private float getMinimum(float[] values)
	{
		float t = values[0];
		for (int i = 0; i < values.length; i++)
		{
			if (t < values[i])
				t = values[i];
		}
		return t;

	}

	private float getMaximum(float[] values)
	{
		float t = values[0];
		for (int i = 0; i < values.length; i++)
		{
			if (t > values[i])
				t = values[i];
		}
		return t;

	}
}
