package com.gymangy;

import java.util.Vector;

import android.app.Activity;
import android.os.Bundle;
import android.view.Menu;
import android.view.MenuItem;
import android.widget.ArrayAdapter;
import android.widget.AutoCompleteTextView;

public class NewProgram extends Activity
{
	public static final int	SAVE_ID	= 0001;
	public static final int	EXIT_ID	= 0002;

	@Override
	public boolean onCreateOptionsMenu(Menu menu)
	{
		boolean result = super.onCreateOptionsMenu(menu);
		menu.add(0, SAVE_ID, 0, R.string.menu_insert_save);
		menu.add(0, EXIT_ID, 1, R.string.menu_insert_cancel);
		return result;
	}

	public boolean onOptionsItemSelected(MenuItem item)
	{
		switch (item.getItemId())
		{
			case SAVE_ID:
				// startActivity(new Intent(Program.this, NewProgram.class));

				return true;
			case EXIT_ID:
				this.finish();
		}

		return super.onOptionsItemSelected(item);
	}

	@Override
	protected void onCreate(Bundle savedInstanceState)
	{
		super.onCreate(savedInstanceState);
		setContentView(R.layout.program);

		String[] countries = getResources().getStringArray(
				R.array.exersice_names);
		ArrayAdapter<String> adapter = new ArrayAdapter<String>(this,
				R.layout.list_item, countries);

		AutoCompleteTextView textView = (AutoCompleteTextView) findViewById(R.id.autocomplete_exersices);

		Vector<AutoCompleteTextView> exList = new Vector<AutoCompleteTextView>();

		textView.setAdapter(adapter);
	}
}
