package com.gymangy;

import java.util.ArrayList;

import com.database.SetDbAdapter;

import android.app.Activity;
import android.app.ListActivity;
import android.content.Intent;
import android.database.Cursor;
import android.os.Bundle;
import android.sax.TextElementListener;
import android.view.MenuItem;
import android.view.View;
import android.widget.ListView;
import android.widget.SimpleCursorAdapter;
import android.widget.TextView;
import android.widget.Toast;
import android.widget.AdapterView.AdapterContextMenuInfo;

public class ShowResults extends ListActivity
{
	SetDbAdapter mDb;
	
	 protected void onCreate(Bundle savedInstanceState) {
	        super.onCreate(savedInstanceState);
	        setContentView(R.layout.note_list);
	        mDb = new SetDbAdapter(this);
	        mDb.open();
	        fillData();
	        registerForContextMenu(getListView());
	 }
	 
	 private void fillData() {
	        Cursor notesCursor = mDb.getDateForExersices();
	        startManagingCursor(notesCursor);
	        
	        int rows = notesCursor.getCount();
	        ArrayList<String> stringList = new ArrayList<String>();
	        
	        
	        // Create an array to specify the fields we want to display in the list (only TITLE)
	        String[] from = new String[]{SetDbAdapter.EX_DATE};
	        
	        // and an array of the fields we want to bind those fields to (in this case just text1)
	        int[] to = new int[]{R.id.TextView02};
	        
	        // Now create a simple cursor adapter and set it to display
	        SimpleCursorAdapter notes = 
	        	    new SimpleCursorAdapter(this, R.layout.note_list, notesCursor, from, to);
	        setListAdapter(notes);	        
	    }	 
	 	@Override
	    protected void onListItemClick(ListView l, View v, int position, long id) {
	        super.onListItemClick(l, v, position, id);
	        
//	        Toast.makeText(getApplicationContext(),
//					((TextView) v).getText().toString(), Toast.LENGTH_SHORT).show();
	        Bundle bundle  = new Bundle();
			bundle.putString("parent", "19.03.10");
			
			Intent showDateIntent = new Intent(ShowResults.this, ShowExersiceForDate.class);
			showDateIntent.putExtras(bundle);
			
			startActivity(showDateIntent);
			
	    }
}
